import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Auth } from '../auth.service';
export declare class BbRole implements OnInit, OnDestroy {
    private _auth;
    private _template;
    private _viewContainerRef;
    bbRole: string | string[];
    private _subscription;
    constructor(_auth: Auth, _template: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private getPermissions;
}
